## openjdk-21 21%2B35

=== debian/changelog ===
openjdk-21 (21+35-1revyos1) unstable; urgency=medium

  * Use gcc-13 compile
  * Disable update rvv options

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 04 Oct 2023 18:03:46 +0800

openjdk-21 (21+35-1) unstable; urgency=medium

  * OpenJDK 21 release build, (no changes).

  [ Matthias Klose ]
  * Build-depend on the unversioned libfreetype-dev.
  * Build zero on loong64.
  * Change upstream VCS to https://github.com/openjdk/jdk21u.

  [ Pushkar Kulkarni ]
  * Enable JdiListeningLocalhostExecutionControlTest.java again.

  [ Vladimir Petko ]
  * Run tests on Ubuntu 22.04 LTS and 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Sep 2023 06:39:23 +0200

openjdk-21 (21~35ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 35 (first release candidate).

  [ Pushkar Kulkarni ]
  * d/p/series - The jaw-classpath and jaw-optional patches help work around
    the problem of an application being unable to load ATK wrapper classes
    since the introduction of the JPMS(JDK9). With openjdk-8, these classes
    were loaded as extension classes from jre/lib/ext. The best alternative
    today is that the user makes sure java-atk-wrapper is installed, modifies
    the accessibility.properties file to enable ATK and sets the CLASSPATH to
    point to the location of the ATK jar. These patches have been dropped on
    openjdk-11 and openjdk-17 previously.

  [ Matthias Klose ]
  * Explicitly configure --without-jtreg with the nocheck profile

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 08:43:29 +0200

openjdk-21 (21~32ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 32.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: quarantine pkcs11 tests failing with NSS 3.91.
  * d/t/problems-armhf.txt: quarantine armhf failing tests:
    - java/net/httpclient/ManyRequestsLegacy.java: SSL request timeout.
    - java/util/Random/RandomTestBsi1999.java: deadlock in CI.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 10:52:07 +0200

openjdk-21 (21~30ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 30.

  * Link with --no-as-needed. Closes: #1031521.
  * d/rules: Remove EXTRA_.*FLAGS_JDK macros.
  * Fix FTCBFS: Add libffi-dev:native to B-D (Helmut Grohne). Closes: #1039946.
  * Build using GCC 13.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 14:11:47 +0200

openjdk-21 (21~29ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 29.

  [ Vladimir Petko ]
  * Fix bootstrapping with an OpenJDK 20 zero VM.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 11:22:43 +0200
