=== debian/watch ===
version=4
opts=\
repack,\
repacksuffix=ea,\
compression=xz,\
oversionmangle=s/\+/\~/,\
dversionmangle=s/~\d*\~us\d*$/\+\d*/, \
   https://github.com/openjdk/jdk/tags \
   (?:.*?/)?jdk-(21\+\d[\d]*)\.tar\.gz
