## openjdk-21 21.0.1+12

=== debian/changelog ===
openjdk-21 (21.0.1+12-2~23.04) lunar-security; urgency=medium

  * Upload to Ubuntu 23.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 24 Nov 2023 08:35:39 +1300

openjdk-21 (21.0.1+12-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: pack external debug symbols with build-id, do not strip
    JVM shared libraries. LP: #2012326, LP: #2016739.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices, using a generator script.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 11:20:35 +0100

openjdk-21 (21.0.1+12-1) unstable; urgency=high

  * OpenJDK 21.0.1 release, build 12.
    - CVE-2023-22081, CVE-2023-22025.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/21-0-1-relnotes.html

  [ Matthias Klose ]
  * Build-depend on OpenJDK 21 in releases where it already exists.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices.

  [ Vladimir Petko ]
  * d/p/build_test.patch: Use openjdk-17 patch for backports compatibility.
  * d/watch: use release version format.
  * d/copyright: include google test license.
  * d/rules, d/watch: bundle google test library.
  * d/patches: remove build_gtest.patch.
  * d/tests: refresh problem lists.
  * d/p/exclude_broken_tests.patch: drop patch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Oct 2023 09:45:32 +0200
