=== debian/watch ===
version=4
opts=\
repack,\
compression=xz,\
dversionmangle=s/~\d*\~us\d*$/\+\d*/, \
   https://github.com/openjdk/jdk21u/tags \
   (?:.*?/)?jdk-(21[\.\d]*)\.tar\.gz

opts=\
component=googletest,\
repack,\
compression=xz \
 https://github.com/google/googletest/tags \
   (?:.*?/)?v(1.14.0)\.tar\.gz
