## openjdk-21 21.0.2%2B13

=== debian/changelog ===
openjdk-21 (21.0.2+13-2revyos1) unstable; urgency=medium

  * Force use gcc-13

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 14 Feb 2024 17:10:22 +0800

openjdk-21 (21.0.2+13-2) unstable; urgency=medium

  [ Matthias Klose ]
  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Addresses: #1034600.

  [ Vladimir Petko ]
  * Apply proposed fix for JDK-8242564 to resolve Java 21 FTBFSes.
    Closes: #1057500, #1057508, #1057519.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2024 09:11:26 +0100

openjdk-21 (21.0.2+13-1) unstable; urgency=high

  * OpenJDK 21.0.2 release, build 13.
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.

  [ Pushkar Kulkarni ]
  * debian/copyright: Fix whitespace issues.
  * Minor improvements to the copyright-generator.

  [ Vladimir Petko ]
  * d/copyright: Fix lintian warning.
  * Generate d/watch to cope with early access and release builds.

  [ Matthias Klose ]
  * Add sparc64 defines (patch by Adrian Glaubitz). Closes: #1057390.
  * d/copyright: Fix source location.
  * Update the arch-add-ports patch, taken from 22.
  * Regenerate debian files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2024 13:14:57 +0100
