## openjdk-21 21.0.3%2B9

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: openjdk-21
 Section: java
 Priority: optional
-Maintainer: OpenJDK Team <openjdk-21@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk-21@packages.debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  file,
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-13 <!cross>,
   openjdk-21-jdk-headless:native | openjdk-20-jdk-headless:native,
@@ -164,7 +165,7 @@
 Section: debug
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-21-jre-headless (= ${binary:Version}),
-   ${misc:Depends}
+   ${misc:Depends},${shlibs:Depends}
 Recommends: openjdk-21-jre (= ${binary:Version})
 Suggests: openjdk-21-jdk (= ${binary:Version})
 Conflicts: ${dbg:Conflicts}
@@ -173,6 +174,21 @@
  applets, and components using the Java programming language.
  .
  This package contains the debugging symbols.
+
+Package: openjdk-21-testsupport
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 loong64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Multi-Arch: same
+Depends: openjdk-21-jdk (= ${binary:Version}),
+  build-essential, xfwm4, xvfb, dbus-x11, libatk-wrapper-java,
+  libatk-wrapper-java-jni, jtreg7 (>= 7.3.1+1~), libtestng7-java,
+  ${shlibs:Depends},
+  ${misc:Depends}
+Description: Java runtime based on OpenJDK (regression test support)
+ OpenJDK is a development environment for building applications,
+ applets, and components using the Java programming language.
+ .
+ This package contains all the binary files needed to run the
+ OpenJDK autopkg tests.
 
 Package: openjdk-21-jre-zero
 Architecture: amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
