## openjdk-21 21.0.3+9

=== debian/changelog ===
openjdk-21 (21.0.3+9-1ubuntu1) noble; urgency=medium

  * d/rules: enable jtreg tests.
  * Regenerate control files.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Apr 2024 07:35:05 +1200

openjdk-21 (21.0.3+9-1) unstable; urgency=high

  * OpenJDK 21.0.3 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
  * CVE-2024-21094, 8317507: Already fixed in November 2023:
    C2 compilation fails with "Exceeded _node_regs array".

  [ Vladimir Petko ]
  * d/p/jdk-8329983.patch: apply workaround for JDK-8329983, link failure
    against libjvm.so on armhf due to undefined symbol.

  [ Matthias Klose ]
  * Update the m68k-support patch. Closes: #1068873.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 14:07:04 +0200

openjdk-21 (21.0.3~7ea-1) unstable; urgency=medium

  * OpenJDK 21.0.3, build 7 (early access).

  [ Matthias Klose ]
  * Don't try to install jhsdb on armhf with a zero-only build.
  * Remove the GTK 2.x bits.
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * Corrections to patch arch-add-ports.diff.
  * Fix a typo in the vendor name derivation logic.
  * Copyright generator fixes.

  [ Vladimir Petko ]
  * d/p/jdk-8325028.patch: Apply upstream patch so that pipe channels
    lazily set socket to non-blocking mode on first use by virtual thread.
  * Fix installing the s390x build.
  * Emit warning to install openjdk-*-jre package when fontmanager is
    used, but only openjdk-*-jre-headless is installed.
  * Add support to build --with-hsdis=binutils, but keep it off by default.
  * Run the hotspot and jdk autopkg tests on all architectures.
  * Add bash, lsb-release and xauth as dependencies for autopkg tests.
  * Build openjdk-21-testsupport packages, containing the binaries
    required to run the autopkg tests.
  * d/t/{hotspot,jdk}-autopkgtest.{sh, in}: Set default arguments to
    tier1 tests, otherwise pass user's arguments while setting correct
    test directory and native path.
  * Fix lintian override package name.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 03:18:28 +0100

openjdk-21 (21.0.3~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.3, build 6 (early access).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 11:04:33 +0100
