=== debian/rules ===
--- 
+++ 
@@ -126,20 +126,24 @@
   commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
   commonbasedir	= $(basedir)
   etcdir	= etc/java-$(shortver)-$(origin)
+  testsuitedir	=	$(basedir)/testsuite
 else
   jdirname	= java-$(shortver)-$(origin)
   jdiralias	= java-$(jvmver)-$(origin)
   basedir	= $(TOP)/$(jdirname)
   commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
   etcdir	= etc/$(jdirname)
+  testsuitedir	=	$(basedir)/testsuite
 endif
 security	= $(etcdir)/security
 ifeq ($(bootcycle_build),yes)
   sdkimg	= bootcycle-build/images/jdk
   build_target	= bootcycle-images test-image
+  testimg	= images/test
 else
   sdkimg	= images/jdk
   build_target	= images test-image
+  testimg	= images/test
 endif
 ifeq ($(zbootcycle_build),yes)
   zsdkimg	= bootcycle-build/images/jdk
@@ -178,7 +182,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-with_check = disabled for this upload
+#with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
@@ -233,5 +237,3 @@
     export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
     export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
     # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
-    ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
-      ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
