## openjdk-21 21.0.4~6ea

=== debian/changelog ===
openjdk-21 (21.0.4~6ea-1ubuntu1) oracular; urgency=medium

  * d/rules: include /usr/share/dpkg/buildflags.mk to avoid configure
    failure due to the undefined variables (LP: #2071204).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 01 Jul 2024 13:59:50 +1200

openjdk-21 (21.0.4~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.4, build 6 (early access).

  [ Matthias Klose ]
  * Build using GCC 10 for focal.

  [ Vladimir Petko ]
  * Update patches for the snapshot build.
  * d/p/jdk-8331541.patch: Add fix for the link failure against libjvm.so
    on i386. Closes: #1070476.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2024 07:21:02 +0200

openjdk-21 (21.0.3+9-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * Re-enable running the tests during the build.
  * d/p/8295111.patch: Apply upstream patch to resolve jpackage failure
    to create a deb package.
  * Add autopkgtest to test that JNI applications using the invocation API
    can be linked.
  * Add autopkgtest for libpcsclite initialisation.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Apr 2024 15:34:38 +0200
