=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,7 @@
 Tests: jdk-autopkgtest.sh
 Depends: @, jtreg7 (>= 7.3.1+1~), libtestng7-java, build-essential, bash, lsb-release, xfwm4, xvfb, xauth, dbus-x11, libatk-wrapper-java, libatk-wrapper-java-jni
 Restrictions: allow-stderr, skippable, flaky, rw-build-tree
+
+Tests: dependencies.sh
+Depends: @, build-essential, bash
+Restrictions: allow-stderr, skippable, flaky
