## openjdk-21 21.0.4+7

=== debian/changelog ===
openjdk-21 (21.0.4+7-2deepin1) unstable; urgency=medium

  * Remove t64.

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 01 Aug 2024 19:37:59 +0800

openjdk-21 (21.0.4+7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/copyright: Regenerate copyright.
  * d/watch: Use fixed googletest version.
  * d/rules, d/t/*: Collate all excluded tests into d/problemlist.csv.
  * d/rules: Enable fallback linker for Foreign Function and Memory API
    on i386 and armhf.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf.
    openjdk is unable to set file last modified timestamp.
  * d/rules: Enable fallback linker for architectures that do not
    provide a native one.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.
  * d/t/control.in: allow stderr for smoke tests.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 08:37:36 +0200

openjdk-21 (21.0.4+7-1) unstable; urgency=high

  * OpenJDK 21.0.4 release, build 7.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8316138: Added GlobalSign R46 and E46 root CA certificates.
      + JDK-8326891: Native executables and libraries on Linux Use RPATH
        instead of RUNPATH.
      + JDK-8328638: Fallback option for POST-only OCSP requests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2024 09:31:36 +0200
