=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-13 <!cross>,
+  g++-14 <!cross>,
   openjdk-21-jdk-headless:native | openjdk-20-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev, libffi-dev:native,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!sh4],
   libnss3-dev (>= 2:3.17.1),
   openjdk-21-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
@@ -66,8 +66,8 @@
   java11-runtime-headless, java12-runtime-headless,
   java13-runtime-headless, java14-runtime-headless, java15-runtime-headless,
   java16-runtime-headless, java17-runtime-headless,
-  java17-runtime-headless, java19-runtime-headless,
-  java20-runtime-headless, java21-runtime-headless,
+  java19-runtime-headless, java20-runtime-headless,
+  java21-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
 Breaks: ${jrehl:Breaks}
 Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
